Package Details: jdk6 6u45-7

Git Clone URL: https://aur.archlinux.org/jdk6.git (read-only)
Package Base: jdk6
Description: Oracle Java 6 Development Kit (public release - end of support)
Upstream URL: https://www.java.com/en/download/faq/java_6.xml
Keywords: java java6 jdk jdk6
Licenses: custom
Provides: java-environment=6, java-environment-jdk=6, java-runtime=6, java-runtime-headless=6, java-runtime-headless-jre=6, java-runtime-jre=6, java-web-start=6, java-web-start-jre=6
Submitter: Det
Maintainer: Stykers
Last Packager: Stykers
Votes: 85
Popularity: 0.005245
First Submitted: 2014-10-18 07:16
Last Updated: 2019-07-22 00:23

Dependencies (17)

Required by (1000)

Sources (8)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

SolarEklipze commented on 2014-04-24 00:54

Hey, would you mind adding a symlink from /opt/java6 to /usr/lib/jvm/java-6-oracle? Some of my old java projects look for an executable there. I think you maintain jdk7-compat, if you'd add a symlink from /op/java7 to /usr/lib/jvm/java-7-oracle in that pkg aswell, that's be awesome.

Thanks man!

ItachiSan commented on 2014-03-22 09:44

@Det, fixed this also, thanks for the tip ;)

Det commented on 2014-03-17 20:59

Download doesn't work anymore; I currently use:

DLAGENTS=('http::/usr/bin/curl -LC - -b "oraclelicense=a" -O')

donniezazen commented on 2013-10-29 12:21

I have to install this or jre6-compat to run Karel the Robot program from CS106A an old Stanford course. I have jdk installed. Both this package and jre6-compat conflict with jdk. Are these only compatible with OpenJDK/OpenJRE?

ItachiSan commented on 2013-08-24 12:05

For any doubt read carefully here:

I want to make you aware that this is (probably) last version of the package as Oracle declared that it stopped releasing JDK/JRE 6 pubblic updates.
They'll be avaible just for companies which are paying Oracle for Java 6.
And because of the fact I don't pay Oracle and so I cannot have the access to their updated Java 6 ('cause as I said is just for companies) I won't release up-to-date packages as I don't want to get in trouble.
AUR jre6/jdk6 packages includes only-companies JRE6.
If you want, you can just make a few edits to this PKGBUILD and link it to companies-only JRE6; it's really easy.
I just simply won't do it.
You can do it, it's up to you.
And don't flag this as outdated, as it is up to date considering pubblic release.
Sorry for repetitions, the long message and not-so-good English.
Bye!

ItachiSan commented on 2013-08-24 11:56

@tam1338 they're needed for jdk6-compat and they're included there.

Anonymous comment on 2013-07-04 22:14

Any idea why the /etc/profile.d files aren't installed? Specifically, lines 67, 73, and 74 are commented out (and 73 also appears to have a typo: s/5/6/).

67: #mkdir -p "${pkgdir}"/etc/profile.d/
73: #install -m755 jdk6.profile "${pkgdir}"/etc/profile.d/jdk5.sh
74: #install -m755 jdk6.profile.csh "${pkgdir}"/etc/profile.d/jdk6.csh

ItachiSan commented on 2013-07-01 06:40

Restored old version!
As this is a downgrade (in order to non have legal problems with Oracle), you've to install it with:
$AUR_WRAPPER -S jdk6-compat
Rather than simply update... Sorry for the trouble :/

ItachiSan commented on 2013-07-01 06:34

@gandalfmagic
The same as I thought,
Will see if I'll be able to restore old version ;)

gandalfmagic commented on 2013-06-27 10:31

@ItachiSan:
Hi, if I can say my thoughts, It might be some kind of license infringement to have this version (and the next ones) installed on our PC.

Reading this page:
https://blogs.oracle.com/stevenChan/entry/java_jre_1_6_08
and thish:
http://www.404techsupport.com/2013/06/java-7u25/
I suspect the NOT public releases of the JVM 6 are only (legally) available to EBS users (subscribers??, is a paid service, right???).

Happy to be wrong :), but maybe is a better idea to restore the publicly available 6u45.